Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.widgets
Class ExternalBrowser

    java.lang.Object
      org.eclipse.rwt.widgets.ExternalBrowser

public final class ExternalBrowser
extends java.lang.Object

Utility class to open and close an external browser window.

Since:
  1.0

Field Summary
`static int` `LOCATION_BAR` Style parameter (value 1<<1) indicating that the address combo and 'Go' button will be created for the browser.
`static int` `NAVIGATION_BAR` Style parameter (value 1<<2) indicating that the navigation bar for navigating web pages will be created for the web browser.
`static int` `STATUS` Style constant (value 1<<3) indicating that status will be tracked and shown for the browser (page loading progress, text messages etc.).

Method Summary
`static void` `close(java.lang.String id)` Closes the browser window denoted by the given `id`.
`static void` `open(java.lang.String id, java.lang.String url, int style)` Opens the given `url` in an external browser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOCATION_BAR

    public static final int LOCATION_BAR

  Style parameter (value 1<<1) indicating that the address combo and 'Go' button will be created for the browser.

  Note: This style parameter is a hint and might be ignored by some browsers.

  See Also:
    Constant Field Values

### NAVIGATION_BAR

    public static final int NAVIGATION_BAR

  Style parameter (value 1<<2) indicating that the navigation bar for navigating web pages will be created for the web browser.

  Note: This style parameter is a hint and might be ignored by some browsers.

  See Also:
    Constant Field Values

### STATUS

    public static final int STATUS

  Style constant (value 1<<3) indicating that status will be tracked and shown for the browser (page loading progress, text messages etc.).

  Note: This style parameter is a hint and might be ignored by some browsers.

  See Also:
    Constant Field Values

Method Detail

### open

    public static void open(java.lang.String id,
                            java.lang.String url,
                            int style)

  Opens the given `url` in an external browser.

  The method will reuse an existing browser window if the same `id` value is passed to it.

  Parameters:
    `id` - if an instance of a browser with the same id is already opened, it will be reused instead of opening a new one. The id must neither be `null` nor empty.
    `url` - the URL to display, must not be `null`
    `style` - the style display constants. Style constants should be bitwise-ORed together.
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the `id` or `url` is `null`
    - ERROR_INVALID_ARGUMENT - if the `id` is empty
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### close

    public static void close(java.lang.String id)

  Closes the browser window denoted by the given `id`. The method does nothing if there is no browser window with the given id.

  Parameters:
    `id` - if an instance of a browser with the same id is opened, it will be close. The id must neither be `null` nor empty.
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the `id` is `null`
    - ERROR_INVALID_ARGUMENT - if the `id` is empty
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.